Bug 124055 - Memory leak in GlobalSourcePath
Summary: Memory leak in GlobalSourcePath
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Classpath (show other bugs)
Version: 6.x
Hardware: All All
: P2 blocker (vote)
Assignee: Tomas Zezula
URL:
Keywords: PERFORMANCE, TEST
Depends on:
Blocks: 121855
  Show dependency tree
 
Reported: 2007-12-14 23:12 UTC by Jaroslav Tulach
Modified: 2008-01-29 13:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2007-12-14 23:12:34 UTC
Checking if all projects are really garbage collected Project: private static 
org.netbeans.api.java.classpath.GlobalPathRegistry org.netbeans.api.java.classpath.GlobalPathRegistry.DEFAULT-> 
org.netbeans.api.java.classpath.GlobalPathRegistry@199181a-results-> java.util.HashSet@1e4f0f1-map-> 
java.util.HashMap@1f8b674-table-> [Ljava.util.HashMap$Entry;@999a9e-[15]-> java.util.HashMap$Entry@96478e-key-> 
org.netbeans.modules.java.j2seproject.queries.CompiledSourceForBinaryQuery$Result@71ebff-sourceRoots-> 
org.netbeans.modules.java.j2seproject.SourceRoots@50987-helper-> 
org.netbeans.modules.java.j2seproject.UpdateHelper@1db15f8-project-> 
org.netbeans.modules.java.j2seproject.J2SEProject@24e386
Comment 1 Tomas Zezula 2007-12-15 08:45:11 UTC
Seems that GSP does not free Results when project unregisters ClassPaths.
Comment 2 Jaroslav Tulach 2008-01-11 09:40:41 UTC
the performance team would like to ask your teams for help with making memory 
leak tests part of the commit validation.

One of the main performance goals for 6.1 is to fix memory leaks in main use 
cases and prevent regressions in future. As the first step the performance 
team plans to extend the commit validation tests by checking whether certain 
important data structures are freed from memory after the tests finish.

All leaks found so far are filed under 121855 umbrella issue:
http://openide.netbeans.org/issues/showdependencytree.cgi?id=121855

As you can see, the number of issues is not high (14 at this moment, some of 
them already fixed). We need to fix the rest - and fix leaks that appear in 
the future preferentially (as part of commit validation). Thus we will make 
the issues of P2 priority.
Comment 3 Jaroslav Tulach 2008-01-24 13:18:34 UTC
Making P2 as previously announced.
Comment 4 Tomas Zezula 2008-01-29 13:03:48 UTC
9153c451497f